//	CDialog.c

#ifndef _H_CDialogAbout
#define _H_CDialogAbout

#include "CDialog.h"

WindowRef	GetAboutWindow(void);
void		ShowAbout(void);

class CDialogAbout : public CDialog {

	public:		Boolean		IDialogAbout(void);
	virtual		void		Dispose(void);

	virtual		void		DoClick(EventRecord *event);
	virtual		void		DoKeyDown(EventRecord *event);
	virtual		void		UpdateMenus(void);
	virtual		void		Move(EventRecord *event);

	virtual		void		DialogItemStandardDrawProc(
		DialogItemIndex	itemNo,
		Rect			*itemRectP);
	
	private:
	typedef		 	CDialog		_inherited;
};

#endif